package com.zcloud.util;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 说明：常量
 * 作者：luoxiaobao
 * 官网：www.qdkjchina.com
 */
public class Const {

	public static final String SESSION_USER = "SESSION_USER";						//session用的用户

	public static final String SESSION_USERROL = "SESSION_USERROL";					//用户对象(包含角色信息)
	public static final String SESSION_ROLE_RIGHTS = "SESSION_ROLE_RIGHTS";			//角色菜单权限
	public static final String SHIROSET = "SHIROSET";								//菜单权限标识
	public static final String SESSION_USERNAME = "USERNAME";						//用户名
	public static final String SESSION_U_NAME = "SESSION_U_NAME";					//用户姓名
	public static final String SESSION_ROLE = "SESSION_ROLE";						//主职角色信息
	public static final String SESSION_RNUMBERS = "RNUMBERS";						//角色编码数组
	public static final String SESSION_ALLMENU = "SESSION_ALLMENU";					//全部菜单
	public static final String SKIN = "SKIN";										//用户皮肤
	public static final String DEFAULT_PASSWORD = "666666";										//默认密码

	public static final String SYSSET = "config/sysSet.ini";						//系统设置配置文件路径
	public static final String SYSNAME = "sysName";									//系统名称
	public static final String SHOWCOUNT = "showCount";								//每页条数

	public static final String FILEPATHFILE = "/uploadFiles/file/";					//文件上传路径
	public static final String BIFILEPATHFILE = "/uploadFiles/Bfile/";					//文件上传路径
	public static final String FILEPATHIMG = "/uploadFiles/imgs/";					//图片上传路径
	public static final String FILEPATHDZJM = "/uploadFiles/dzjm/";					//图片上传路径
	public static final String FILEPATHYHTP = "/uploadFiles/yhtp/";					//图片上传路径

	public static final String FILEACTIVITI = "/uploadFiles/activitiFile/";			//工作流生成XML和PNG目录

	public static final String AGENCY_MANAGEMENT_ID = "AGENCY_MANAGEMENT_ID";						//session用的代理机构
	public static final String DEPARTMENT_IDS = "DEPARTMENT_IDS";					//当前用户拥有的最高部门权限集合
	public static final String DEPARTMENT_ID = "DEPARTMENT_ID";						//当前用户拥有的最高部门权限
	public static final String CORPINFO_ID = "CORPINFO_ID";						//当前用户所属企业
	public static final String POST_ID = "POST_ID";						//当前用户所属企业
	public static final String PRECINCT_ID = "PRECINCT_ID";						//当前用户拥有的最高部门权限
	public static final String USER_ID = "USER_ID";						//当前用户userid

	public static final String CORP_FOLDERS[] = {"成立组织机构文件","\"双控\"机制相关文件","风险分布图","风险告知卡","风险分级管控清单(台账)",
			"隐患治理信息台账","应急预案","其他"};						//企业默认体系文件目录


//	public static final String FILEURL = "/mnt/qask/file/";						//文件服务器地址
//	public static final String HTTPFILEURL = "https://qask.qhdsafety.com/file/";						//文件服务器地址


	public static final String FILEURL = "/mnt/wwag/file/";				//文件服务器地址
	public static final String HTTPFILEURL = "https://wwag.qhdsafety.com/file/";						//文件服务器地址


	public static final String ALI_ACCESSKEY = "LTAI5tK134ZzXPEwykAdpVn2";	// 阿里云视频点播ak
	public static final String ALI_ACCESSKEY_SECRET = "XCEMY8FG52cXImFMeIiH4tDJ9BIN3N";	//阿里云视频点播sk
	//public static final String ALI_TEMPLATEGROUPID = "8666384eef7d52b290ba661d5e2684ab";	//阿里云视频转码模板id
	public static final String ALI_TEMPLATEGROUPID = "eda7780b4706ec92ea47a79b6e6bcad1";	// 阿里云视频转码模板id
	public static final String ALIYUN_REGIONID = "cn-beijing";	// 点播服务接入地域
	public static final String ENDPOINT = "vod.cn-beijing.aliyuncs.com";// 访问的域名

	public static final Map<String,String> WARNING_TYPE_MAP = new HashMap() {{
		put("blockingmonitoring", "占道");
		put("chefhatmonitoring", "厨师帽检测");
		put("chefuniformmonitoring", "厨师服检测");
		put("elevatorebikemonitoring", "电摩入梯");
		put("empty", "空算法");
		put("example", "示例算法");
		put("facemaskmonitoring", "口罩检测");
		put("faceset", "人脸识别（人脸库）");
		put("fireextinguisherdetection", "灭火器");
		put("gluedtophonemonitoring", "玩手机检测");
		put("helmetwearingmonitoring", "安全帽");
		put("intrusionmonitoring", "入侵检测（越界）");
		put("intrusionmonitoringplus", "陌生人入侵");
		put("mnpmonitoring", "机非人");
		put("mousedetection", "老鼠检测");
		put("nlprdetection", "车牌检测（车牌库）");
		put("ondutymonitoring", "离岗检测");
		put("peoplecountingcrossing", "过线人数统计");
		put("peoplecrossingmonitoring", "过线检测");
		put("peopledensitydetection", "人员密度检测");
		put("peoplefalldetection", "人员跌倒检测");
		put("peoplequeuemonitoring", "排队长度检测（排队统计）");
		put("safetyvestmonitoring", "反光衣检测");
		put("sleepingondutymonitoring", "睡岗");
		put("smokefiremonitoring", "烟火检测");
		put("smokingcallmonitoring", "抽烟打电话");
		put("uniformnn", "工服（工服库）");
		put("wastebinmonitoring", "垃圾桶检测");
	}};

	public static final Map<String,String> WARNING_TYPERESULT_MAP = new HashMap() {{
		put("SMOKING", "抽烟");
		put("PHONE_CALL", "打电话");
		put("SMOKING_AND_PHONE_CALL", "抽烟和打电话");
		put("SMOKE", "烟");
		put("FIRE", "火");
		put("GLUED_TO_PHONE", "玩手机");
	}};

//
}
